## org.eclipse.emf.ecoretools.diagram.edit.policies
Class EcoreTextSelectionEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.emf.ecoretools.diagram.edit.policies.EcoreTextSelectionEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class EcoreTextSelectionEditPolicy

extends org.eclipse.gef.editpolicies.SelectionEditPolicy

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`EcoreTextSelectionEditPolicy()`

Method Summary
`protected org.eclipse.draw2d.IFigure` `createFocusFeedbackFigure()`
`protected org.eclipse.draw2d.IFigure` `createSelectionFeedbackFigure()`
`protected org.eclipse.draw2d.geometry.Rectangle` `getFeedbackBounds()`
`protected void` `hideFocus()`
`protected void` `hideSelection()`
`void` `refreshFeedback()`
`protected void` `refreshFocusFeedback()`
`protected void` `refreshSelectionFeedback()`
`protected void` `showFocus()`
`protected void` `showPrimarySelection()`
`protected void` `showSelection()`
`protected void` `updateLabel(org.eclipse.draw2d.Label target)`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, deactivate, getTargetEditPart, removeSelectionListener, setFocus, setSelectedState`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getCommand, getHost, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EcoreTextSelectionEditPolicy

    public EcoreTextSelectionEditPolicy()

Method Detail

### showPrimarySelection

    protected void showPrimarySelection()

  Overrides:
    `showPrimarySelection` in class `org.eclipse.gef.editpolicies.SelectionEditPolicy`

### showSelection

    protected void showSelection()

  Specified by:
    `showSelection` in class `org.eclipse.gef.editpolicies.SelectionEditPolicy`

### hideSelection

    protected void hideSelection()

  Specified by:
    `hideSelection` in class `org.eclipse.gef.editpolicies.SelectionEditPolicy`

### showFocus

    protected void showFocus()

  Overrides:
    `showFocus` in class `org.eclipse.gef.editpolicies.SelectionEditPolicy`

### hideFocus

    protected void hideFocus()

  Overrides:
    `hideFocus` in class `org.eclipse.gef.editpolicies.SelectionEditPolicy`

### getFeedbackBounds

    protected org.eclipse.draw2d.geometry.Rectangle getFeedbackBounds()

### createSelectionFeedbackFigure

    protected org.eclipse.draw2d.IFigure createSelectionFeedbackFigure()

### createFocusFeedbackFigure

    protected org.eclipse.draw2d.IFigure createFocusFeedbackFigure()

### updateLabel

    protected void updateLabel(org.eclipse.draw2d.Label target)

### refreshSelectionFeedback

    protected void refreshSelectionFeedback()

### refreshFocusFeedback

    protected void refreshFocusFeedback()

### refreshFeedback

    public void refreshFeedback()

Copyright 2007 Anyware Technologies. All Rights Reserved.